__ALLOC_SKB(9)

NAME
__alloc_skb - allocate a network buffer

SYNOPSIS

struct sk_buff * __alloc_skb (unsigned int size, gfp_t gfp_mask, int fclone);

ARGUMENTS

size
    size to allocate

gfp_mask
    allocation mask

fclone
    allocate from fclone cache instead of head cache and allocate a cloned (child) skb

DESCRIPTION

Allocate a new &sk_buff. The returned buffer has no headroom and a tail room of size bytes. The object has a reference count of one. The return is the buffer. On a failure the return is NULL.

Buffers may only be allocated from interrupts using a gfp_mask of GFP_ATOMIC.